PHP sürümünüz (8.0.30) bu gereksinimi karşılamıyor. (ÇÖZÜMÜ)

composer.json requires php ^8.1 but your php version (8.0.30) does not satisfy that requirement.
composer.json php ^8.1 gerektirir ancak php sürümünüz (8.0.30) bu gereksinimi karşılamıyor.

Adım 1: PHP Yolu Kontrolü
Öncelikle, PHP’nin sistemde doğru şekilde yüklü olduğundan ve PATH ortam değişkeninde doğru ayarlandığından emin olun. Bunun için:

Denetim Masası > Sistem ve Güvenlik > Sistem > Gelişmiş sistem ayarları > Ortam Değişkenleri yolunu izleyin.
Path değişkenini bulun ve düzenleyin.
PHP kurulum dizininizin bu listede olduğundan emin olun. Örneğin, C:\wamp64\bin\php\php8.0.30 gibi bir yol olmalıdır.

Adım 2: PHP Versiyonunu Kontrol Etme
PHP’nin doğru sürümünün kurulu olduğunu ve çalıştığını doğrulamak için komut istemcisinde şu komutu çalıştırın:

php -v

Bu komut, yüklü olan PHP’nin sürümünü ve diğer detayları gösterir.

Adım 3: Composer Kurulumu İçin PHP Yolunu Belirtme
Composer, komut satırı üzerinden çalıştığı için doğru PHP sürümünü belirlemeniz gerekir. Bunun için şu adımları izleyin:

Composer kurulumu sırasında, PHP’nin doğru sürümünü seçin.
Eğer PHP sürümünü değiştirmek istiyorsanız, Browse… butonuna tıklayarak doğru PHP yürütülebilir dosyasını (php.exe) seçin.
Adım 4: PHP Yolu Değiştirme
Eğer mevcut PHP yolunu kaldırmak veya değiştirmek istiyorsanız, PATH ortam değişkenindeki eski PHP yolunu kaldırın ve yeni PHP yolunu ekleyin.

Bu adımları takip ederek Composer kurulumunu tamamlayabilirsiniz. Herhangi bir adımda sorun yaşarsanız, adımları tekrarlayarak kontrol edin ve doğru PHP yolunun kullanıldığından emin olun.

PATH ortam değişkenindeki eski PHP yolunu kaldırmanıza rağmen bu hatayı alıyorsanız, aşağıdaki adımları izleyerek sorunu çözmeyi deneyebilirsiniz:

Adım 1: PATH Ortam Değişkenini Doğru Ayarlama
Denetim Masası > Sistem ve Güvenlik > Sistem > Gelişmiş sistem ayarları > Ortam Değişkenleri yolunu izleyin.
Path değişkenini bulun ve düzenleyin.
Path içinde eski PHP yolunun kaldırıldığından ve doğru PHP yolunun eklendiğinden emin olun.
Adım 2: Komut İstemcisini Yeniden Başlatma
Çevre değişkenlerini güncelledikten sonra, tüm açık komut istemcisi pencerelerini kapatın ve yeni bir komut istemcisi açın. Bu, yeni PATH ayarlarının uygulanmasını sağlar.

composer’ı Yönetici yetkisiyle açarak denemeyi unutmayın

Bu İçeriğe Puan Verebilirsiniz
[Toplam: 0 Ortalama: 0]

Bir cevap yazın

E-posta hesabınız yayımlanmayacak.

This site uses Akismet to reduce spam. Learn how your comment data is processed.